Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.function
Class CountFunction

    java.lang.Object
      org.jaxen.function.CountFunction

All Implemented Interfaces:
  Function

public class CountFunction
extends Object
implements Function

4.1 `number count(node-set)`

> The count function returns the number of nodes in the argument node-set.

Author:
  bob mcwhirter (bob @ werken.com)
See Also:
  Section 4.1 of the XPath Specification

Constructor Summary
`CountFunction()` Create a new `CountFunction` object.

Method Summary
`Object` | `call(Context context, List args)` Returns the number of nodes in the specified node-set.
`static Double` | `evaluate(Object obj)` Returns the number of nodes in the specified node-set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountFunction

    public CountFunction()

  Create a new `CountFunction` object.

Method Detail

### call

    public Object call(Context context,
                       List args)
                throws FunctionCallException

  Returns the number of nodes in the specified node-set.

  Specified by:
    `call` in interface `Function`
  Parameters:
    `context` - ignored
    `args` - the function arguments
  Returns:
    a `Double` giving the integral number of items in the first argument
  Throws:
    `FunctionCallException` - if args does not have exactly one item; or that item is not a `List`

### evaluate

    public static Double evaluate(Object obj)
                           throws FunctionCallException

  Returns the number of nodes in the specified node-set.

  Parameters:
    `obj` - a `List` of nodes
  Returns:
    the integral number of items in the list
  Throws:
    `FunctionCallException` - if obj is not a `List`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.